1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Infos SC auf Gen2vdr 4.0 installieren

Dieses Thema im Forum "CS VDR-SC" wurde erstellt von jodek, 10. August 2013.

  1. jodek
    Offline

    jodek Newbie

    Registriert:
    25. August 2011
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Gen2vdr 4.0 ist da und hier soll auch SC laufen.
    Ich habe mich dran versucht und folgendes ist rausgekommen:

    herunterladen von SC
    mkdir /usr/local/src/VDR/PLUGINS/src/sc
    cd /usr/local/src/VDR/PLUGINS/src
    hg clone -r trunk

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?


    dann zwei files editiert:
    Code:
    cd /usr/local/src/VDR/PLUGINS/src/sc
    mcedit Makefile
    
    im Abschnitt FFdeCSA folgende Änderungen machen:
    Code:
    # FFdeCSA
    #CPUOPT     ?= pentium
    #PARALLEL   ?= PARALLEL_32_INT
    CPUOPT     ?= x86-64
    PARALLEL   ?= PARALLEL_128_SSE
    #FLAGS ?= -Wall -fPIC -O3 -march=x86-64 -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops
    #original CSAFLAGS   ?= -Wall -fPIC -g -O3 -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops
    CSAFLAGS   ?= -Wall -fPIC -g -O3 -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops
    FFDECSADIR  = FFdecsa
    FFDECSA     = $(FFDECSADIR)/FFdecsa.o
    FFDECSATEST = $(FFDECSADIR)/FFdecsa_test.done
    
    zweites File
    Code:
    cd FFdecsa/
    mcedit Makefile
    
    und hier den Wert für Flags anpassen
    Code:
    #FLAGS    ?= -Wall -fPIC -O3 -march=pentium -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops
    FLAGS ?= -Wall -fPIC -O3 -march=x86-64 -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops
    
    dann wird compiliert
    Code:
    make clean all
    /_config/bin/instvdr.sh
    cd ..
    
    Dann wird /_confin/bin/g2v_setup.sh aufgerufen und sc an die erste Position gesetzt.
     
    Zuletzt bearbeitet: 10. August 2013
    #1
  2. phantom

    Nervigen User Advertisement

  3. daxxa
    Offline

    daxxa Ist gelegentlich hier

    Registriert:
    1. Dezember 2010
    Beiträge:
    75
    Zustimmungen:
    9
    Punkte für Erfolge:
    8
    AW: SC auf Gen2vdr 4.0 installieren

    hi

    ich habe das im Script eingebaut

    hat geklapst

    danke

    daxxa
     
    Zuletzt bearbeitet: 10. August 2013
    #2
  4. jodek
    Offline

    jodek Newbie

    Registriert:
    25. August 2011
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    AW: SC auf Gen2vdr 4.0 installieren

    Hallo daxxa,

    Danke fürs Testen.
    Ich habe gesehen, dass Du in Deinem Post

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?


    schon im script eine "sc-hg-install2.sh" nachlädst.
    Darin ist die obige Installationsprozedur komplett und besser abgebildet.
    Ich empfehle allen, diese zu benutzen.
    Man spart sich die manuellen Eingriffe und erhält noch die notwendigen Verzeichnisse seca / nagra usw.
    Das sc Plugin wird automatisch an die Position 1 gesetzt.
    Wer also vor dem Update von V3 auf V4 die Ordner /etc/vdr/plugins/sc und /var/keys sichert kann seine Konfiguration
    elegant übernehmen.

    Gruß

    jodek
     
    #3
  5. daxxa
    Offline

    daxxa Ist gelegentlich hier

    Registriert:
    1. Dezember 2010
    Beiträge:
    75
    Zustimmungen:
    9
    Punkte für Erfolge:
    8
    AW: SC auf Gen2vdr 4.0 installieren

    hallo, jodek

    hast du Erfahrung mit Dynamite dvbapi für gen2vdr
    das man ins
    script einfügen kann

    daxxa
     
    Zuletzt bearbeitet: 11. August 2013
    #4
  6. 3PO
    Offline

    3PO Ist gelegentlich hier

    Registriert:
    27. April 2009
    Beiträge:
    64
    Zustimmungen:
    11
    Punkte für Erfolge:
    8
    Ort:
    Schwabenländle
    Homepage:
    AW: SC auf Gen2vdr 4.0 installieren

    Ich würde empfehlen oscam mit dvbapi zu nehmen.
    Die Umschaltzeiten, richtige Konfiguration vorausgesetzt, sind erheblich schneller. ;)
     
    #5
  7. jodek
    Offline

    jodek Newbie

    Registriert:
    25. August 2011
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    AW: SC auf Gen2vdr 4.0 installieren

    @daxxa
    was ich auf die Schnelle gelesen habe, sind die Plugins wohl (noch) inkompatibel.
    Mit beiden Plugins habe ich noch keine Erfahrung gemacht.

    @3PO
    Du hast sicherlich Recht. Dvbapi ist die bessere und aktuellere Lösung.
    Auf die Schnelle schien mir das "Gängigmachen" von sc einfacher.
    Ich werde dvbapi und oscam mal ausprobieren.
     
    #6
  8. machnetz2
    Offline

    machnetz2 Newbie

    Registriert:
    25. März 2012
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    AW: SC auf Gen2vdr 4.0 installieren

    Jupp,

    dvbapi und oscam sind schneller, das kann ich bestätigen :)
     
    #7

Diese Seite empfehlen